using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BodyshopPartner.Models
{
    [JsonConverter(typeof(Utils.JsonPathConverter))]
    public class Bodyshop : DTO_Base
    {
        private static NLog.Logger logger = NLog.LogManager.GetCurrentClassLogger();

        public Bodyshop()
        {

        }

        private string id;
        [JsonProperty("id")]
        public string Id
        {
            get { return id; }
            set { SetProperty(ref id, value); }
        }

        private string _shopname;
        [JsonProperty("shopname")]
        public string ShopName
        {
            get { return _shopname; }
            set { SetProperty(ref _shopname, value); }
        }

        private string _associationId;
        [JsonProperty("associations[0].id")]
        public string AssociationId
        {
            get { return _associationId; }
            set { SetProperty(ref _associationId, value); }
        }

        private bool _associationActive;
        [JsonProperty("associations[0].active")]
        public bool AssociationActive
        {
            get { return _associationActive; }
            set { SetProperty(ref _associationActive, value); }
        }
        private string _regionConfig;
        [JsonProperty("region_config")]
        public string RegionConfig
        {
            get { return _regionConfig; }
            set { SetProperty(ref _regionConfig, value); }
        }
    }
}
